*  MINLP written by GAMS Convert at 02/13/14 21:36:14
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          4        1        1        2        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         12        8        0        4        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         27        4       23        0
*
*  Solve m using MINLP maximizing x1;


Variables  x1,i2,i3,i4,i5,x6,x7,x8,x9,x10,x11,x12;

Positive Variables  x10,x11,x12;

Integer Variables  i2,i3,i4,i5;

Equations  e1,e2,e3,e4;


e1.. -(0.5*x10**10 + 0.25*x11**10 + 0.25*x12**10)**0.1 + x1 =E= 0;

e2.. 8000000000*(6*exp(0.25*i2)*i2 + 6*exp(0.25*i3)*i3 + 8*exp(0.25*i4)*i4 + 7*
     exp(0.25*i5)*i5) - x10 =L= 500;

e3.. 100000*(-1000/log(x6))**1.5*(exp(0.25*i2) + i2) + 230000*(-1000/log(x7))**
     1.5*(exp(0.25*i3) + i3) + 30000*(-1000/log(x8))**1.5*(exp(0.25*i4) + i4)
      + 230000*(-1000/log(x9))**1.5*(exp(0.25*i5) + i5) - x11 =L= 4000000000000
     ;

e4.. 5333333333333.33*(1 - (1 - x6)**i2)*(1 - (1 - x7)**i3)*(1 - (1 - x8)**i4)*
     (1 - (1 - x9)**i5) - x12 =G= 0.75;

* set non-default bounds
i2.lo = 1;i2.up = 10;
i3.lo = 1;i3.up = 10;
i4.lo = 1;i4.up = 10;
i5.lo = 1;i5.up = 10;
x6.lo = 0.5;x6.up = 0.99999;
x7.lo = 0.5;x7.up = 0.99999;
x8.lo = 0.5;x8.up = 0.99999;
x9.lo = 0.5;x9.up = 0.99999;

* set non-default levels
i2.l = 1;
i3.l = 1;
i4.l = 1;
i5.l = 1;
x6.l = 0.5;
x7.l = 0.5;
x8.l = 0.5;
x9.l = 0.5;

Model m / all /;

m.limrow=0; m.limcol=0;

Solve m using MINLP maximizing x1;
