*  MINLP written by GAMS Convert at 02/13/14 21:37:44
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          7        7        0        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         19       19        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         25       19        6        0
*
*  Solve m using MINLP minimizing x19;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19;

Positive Variables  x7,x8,x9,x10,x11,x12;

Equations  e1,e2,e3,e4,e5,e6,e7;


e1.. -(12*(0.00184*x1*x1 + 9.2*x1) + 12*(0.00184*x2*x2 + 9.2*x2) + 12*(0.00184*
     x3*x3 + 9.2*x3) + 12*(0.00184*x4*x4 + 9.2*x4) + 12*(0.00184*x5*x5 + 9.2*x5
     ) + 12*(0.00184*x6*x6 + 9.2*x6)) + x19 =E= 41400;

e2..  - x1 - x7 - x13 =E= -1200;

e3..  - x2 - x8 - x14 =E= -1500;

e4..  - x3 - x9 - x15 =E= -1100;

e5..  - x4 - x10 - x16 =E= -1800;

e6..  - x5 - x11 - x17 =E= -950;

e7..  - x6 - x12 - x18 =E= -1300;

* set non-default bounds
x1.lo = 150;x1.up = 1500;
x2.lo = 150;x2.up = 1500;
x3.lo = 150;x3.up = 1500;
x4.lo = 150;x4.up = 1500;
x5.lo = 150;x5.up = 1500;
x6.lo = 150;x6.up = 1500;
x7.up = 1000;
x8.up = 1000;
x9.up = 1000;
x10.up = 1000;
x11.up = 1000;
x12.up = 1000;
x13.lo = 1000;x13.up = 1100;
x14.lo = 1000;x14.up = 1100;
x15.lo = 1000;x15.up = 1100;
x16.lo = 1000;x16.up = 1100;
x17.lo = 1000;x17.up = 1100;
x18.lo = 1000;x18.up = 1100;

* set non-default levels
x1.l = 150;
x2.l = 150;
x3.l = 150;
x4.l = 150;
x5.l = 150;
x6.l = 150;
x13.l = 1000;
x14.l = 1000;
x15.l = 1000;
x16.l = 1000;
x17.l = 1000;
x18.l = 1000;

Model m / all /;

m.limrow=0; m.limcol=0;

Solve m using MINLP minimizing x19;
