*  MINLP written by GAMS Convert at 02/13/14 21:36:00
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          7        2        0        5        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*          7        1        0        6        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         23        1       22        0
*
*  Solve m using MINLP minimizing x1;


Variables  x1,i2,i3,i4,i5,i6,i7;

Integer Variables  i2,i3,i4,i5,i6,i7;

Equations  e1,e2,e3,e4,e5,e6,e7;


e1.. -(0.2*i2*i4*i6 + 200*i4*i6 + 5*i6 + 0.22*i3*i5*i7 + 220*i5*i7 + 5.5*i7)
      + x1 =E= 0;

e2.. 450*(1/(i2*i4*i6) + 1/(i3*i5*i7)) + 200*(1/(i4*i6) + 1/(i5*i7)) + 250*(1/
     i6 + 1/i7) =L= 3.18517584662293;

e3.. -i4*i6 =L= -1;

e4.. i4*i6 =L= 300;

e5.. -i5*i7 =L= -1;

e6.. i5*i7 =L= 300;

e7.. i6/i7 =E= 1;

* set non-default bounds
i2.lo = 1;i2.up = 600;
i3.lo = 1;i3.up = 600;
i4.lo = 1;i4.up = 50;
i5.lo = 1;i5.up = 50;
i6.lo = 1;i6.up = 30;
i7.lo = 1;i7.up = 30;

* set non-default levels
i2.l = 1;
i3.l = 1;
i4.l = 1;
i5.l = 1;
i6.l = 1;
i7.l = 1;

Model m / all /;

m.limrow=0; m.limcol=0;

Solve m using MINLP minimizing x1;
